Download it now!
Bug 103186 - LOGINV function
Summary: LOGINV function
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Winfried Donkers (retired)
URL:
Whiteboard: target:5.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2016-10-13 15:54 UTC by raal
Modified: 2016-10-25 05:23 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description raal 2016-10-13 15:54:03 UTC
Description:
> function LOGINNV is defined in ODFF as
>
> *Syntax:* LOGINV( /Number/ p [ ; /Number/ Mean = 0 [ ; /Number/
> StandardDeviation = 1 ] ] )
>
>
> Formula =LOGINV(0.05) throws error, but Mean and StandardDeviation is
> not mandatory.
>
> In excel are all three parameters required:
> https://support.office.com/en-US/article/LOGINV-function-0BD7631A-2725-482B-AFB4-DE23DF77ACFE

The current code uses 3 mandatory arguments. 

Actual Results:  
.

Expected Results:
.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.1; rv:49.0) Gecko/20100101 Firefox/49.0
Comment 1 Commit Notification 2016-10-24 12:10:14 UTC
Winfried Donkers committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=536258758a9192ce8985d5055edac600568120fc

tdf#103186, make LOGINV ODFF1.2 compliant.

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.